-- Data that we need to set up in advance and don't expect to update
-- regularly.

DELETE FROM video_file_status;
INSERT INTO video_file_status(file_status_code, file_status_desc)
VALUES('X', 'Unchecked file');
INSERT INTO video_file_status(file_status_code, file_status_desc)
VALUES('A', 'File is valid (player reports no errors) and audio and video are excellent');
INSERT INTO video_file_status(file_status_code, file_status_desc)
VALUES('B', 'File is valid (player reports no errors) and audio and video are good');
INSERT INTO video_file_status(file_status_code, file_status_desc)
VALUES('C', 'File is valid (player reports no errors) but audio or video is poor');
INSERT INTO video_file_status(file_status_code, file_status_desc)
VALUES('F', 'File is invalid (player reports errors) or audio or video is unacceptable');

DELETE FROM video_target_format;
INSERT INTO video_target_format(
    target_format_abbr, priority, container_name, filename_extension,
    video_width, video_height, video_codec_name, video_bit_rate,
    audio_sample_rate, audio_channel_count, audio_codec_name, audio_bit_rate
)
VALUES(
    'archival', 100, 'ogg', '.ogg',
    0, 0, 'theora', 4000000,
    0, 0, 'vorbis', 192000
);
INSERT INTO video_target_format(
    target_format_abbr, priority, container_name, filename_extension,
    video_width, video_height, video_codec_name, video_bit_rate,
    audio_sample_rate, audio_channel_count, audio_codec_name, audio_bit_rate
)
VALUES(
    'high', 25, 'ogg', '.ogg',
    0, 0, 'theora', 1500000,
    0, 0, 'vorbis', 128000
);
INSERT INTO video_target_format(
    target_format_abbr, priority, container_name, filename_extension,
    video_width, video_height, video_codec_name, video_bit_rate,
    audio_sample_rate, audio_channel_count, audio_codec_name, audio_bit_rate
)
VALUES(
    'low', 50, 'ogg', '.ogg',
    320, 240, 'theora', 230000,
    32000, 1, 'vorbis', 64000
);
INSERT INTO video_target_format(
    target_format_abbr, priority, container_name, filename_extension,
    video_width, video_height, video_codec_name, video_bit_rate,
    audio_sample_rate, audio_channel_count, audio_codec_name, audio_bit_rate
)
VALUES(
    'ntsc-dvd', 0, 'ntsc-dvd', '.mpeg',
    352, 240, 'mpeg1video', 220000,
    48000, 2, 'ac3', 128000
);
INSERT INTO video_target_format(
    target_format_abbr, priority, container_name, filename_extension,
    video_width, video_height, video_codec_name, video_bit_rate,
    audio_sample_rate, audio_channel_count, audio_codec_name, audio_bit_rate
)
VALUES(
    'pal-dvd', 0, 'pal-dvd', '.mpeg',
    352, 240, 'mpeg1video', 220000,
    48000, 2, 'mp2', 128000
);
